Bug 841665 - RFE: Enable Lightning for SeaMonkey by default
RFE: Enable Lightning for SeaMonkey by default
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: thunderbird-lightning (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-19 15:43 EDT by Chad Feller
Modified: 2013-08-01 13:55 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:55:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chad Feller 2012-07-19 15:43:05 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Chad Feller 2012-07-19 15:54:05 EDT
That was really strange - not sure why BZ saved that page after having only entered the summary.  

Anyway - Lightning has been available for SeaMonkey for a couple of years now via AMO:

https://addons.mozilla.org/en-US/seamonkey/addon/lightning/

Fedora's Lightning package only installs for Thunderbird, however.  Enabling the thunderbird-lightning package for SeaMonkey is as simple as:

  cd /usr/lib64/mozilla/extensions/
  mkdir "{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}"
  cd "{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}"
  ln -sf ../"{3550f703-e582-4d05-9a08-453d09bdfdc6}"/* .

then restart SeaMonkey.

At a minimum I'd like to see the SeaMonkey ID added as an install location for the lightning and gdata provider extensions (provided by the thunderbird-lightning package).

The problem here is that thunderbird-lightning wants to pull in Thunderbird as a dependency.  If we make this change, then Thunderbird or SeaMonkey should be a dependency.  Then of course the package name should probably be changed to just "lightning".
Comment 2 Orion Poplawski 2012-10-16 23:24:10 EDT
Assigning to TB to bring in folks for comments.
Comment 3 Orion Poplawski 2012-10-16 23:25:20 EDT
Assigning to seamonkey to bring in folks for comment
Comment 4 Orion Poplawski 2012-10-16 23:28:35 EDT
What are people's thoughts here?  I suppose we could rename to lighting, package in /usr/lib/lightning, and then have -thunderbird and -seamonkey sub packages that ship the appropriate links?  Of course rpm has problems changing from dirs to symbolic links (and/or vice-versa) so perhaps that's a bad idea.  Seems a same to ship two copies of the same content though.
Comment 5 Martin Stransky 2012-10-17 03:20:03 EDT
We're just looking for co-maintainers for seamonkey and we don't want to increase maintenance costs here.
Comment 6 Dmitry Butskoy 2012-10-17 07:56:40 EDT
For comment #4:

Just consider "mozilla-noscript" and "mozilla-adblockplus" as examples.

IOW rename package to "mozilla-lightning".

Make sure (check install.rdf file of this addon) that the same stuff handle both the current seamonkey and the current thunderbird simultaneously.
Comment 7 Chad Feller 2012-10-17 09:33:41 EDT
Dmitry:
I was thinking the same thing after my initial post, that mozilla-lightning would be a better name.

Martin:
I'd be interested in helping co-maintain, although I don't know the process of getting to that point. Please advise.
Comment 8 Orion Poplawski 2012-10-17 23:24:48 EDT
There are a couple of major differences between lightning and the mozilla-* plugins (at least adblockplus, which is what I looked at).

The biggest is that lightning is tied to a pretty specific version of TB/seamonkey.  e.g. lightning 1.8 goes with TB 16.* only and seamonkey 2.12.* only.  We explicitly require that version as well so that someone doesn't accidentally upgrade one or the other and end up without a functioning calendar (which is major problem).  In practical terms this requires that tb and tb-ligntning be released simultaneously (at least with major updates).

Since adblockplus works with a large range of browser versions, there is less possibility of an upgrade breaking it (and quite frankly a broken adblockplus is less of an issue than a broken calendar).

So at this point, as wasteful as it seems to be, I think the best solution is to create a new package "seamonkey-lightning" that is basically a copy of thunderbird-lightning.  This would have a significant impact on seamonkey releases (as it has on TB).  But I think this is more workable than tying all three together.
Comment 9 Fedora End Of Life 2013-07-04 02:22:57 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-08-01 13:55:19 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.